Subject: RE: [newtrk] Change history in "ISD" considered not fully baked

From: "Hallam-Baker, Phillip" <[email-masked]>
Date: Mon, 4 Apr 2005 10:12:46 -0700

If people specify the datastructure in pseudo-code I can convert it into
a suitable XML schema that provides for appropriate extensibility.

	Phill

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of Bruce Lilly
> Sent: Monday, April 04, 2005 12:43 PM
> To: Scott Bradner
> Cc: [email-masked]
> Subject: Re: [newtrk] Change history in "ISD" considered not 
> fully baked
> 
> 
> On Sun April 3 2005 07:18, Scott Bradner wrote:
> > > I don't get it
> > 
> > it is an example of how to provide a history - I did not 
> mean to imply
> > that it covered everything
> 
> RFC 2026 is a fairly simple case, and that case seems to be 
> difficult to handle in a simple ASCII text document (such 
> that it can be easily read to determine status as of any time).
> 
> For more complex examples, consider DNS (multiple amendments 
> via multiple RFCs, several of which have multiple errata) or 
> SMTP (ditto, but with an initial attempt at consolidation 
> (RFC 2821) currently at a lower level on the Standards Track, 
> with several published errata to 2821 and at least one 
> acknowledged substantive error which has not been published anywhere.
> 
> I suspect that a single document cannot in general be 
> constructed such that it both
> a) provides a complete record of changes according to a timeline and
> b) is easily read to determine status as of some time.
> Instead, I suspect that some master document in a 
> machine-readable format which documents revisions coupled 
> with a mechanism for (re)generating readable snapshots in 
> document format as of a particular time might be a workable 
> approach. . newtrk 
> resources:_____________________________________________________
> web user interface: http://darkwing.uoregon.edu/~llynch/newtrk.html
> mhonarc archive: http://darkwing.uoregon.edu/~llynch/newtrk/index.html
> 

.
newtrk resources:_____________________________________________________
web user interface: http://darkwing.uoregon.edu/~llynch/newtrk.html
mhonarc archive: http://darkwing.uoregon.edu/~llynch/newtrk/index.html

---

From: Bruce Lilly <[email-masked]>
Date: Tue, 5 Apr 2005 10:44:17 -0400

> a suitable XML schema that provides for appropriate extensibility.

Instead of pseudo-code, here are some URIs to real code (and
documentation, etc.):

http://cssc.sourceforge.net/
https://www.cvshome.org/
http://subversion.tigris.org/
http://www.gnu.org/software/gnu-arch/
http://www.gnu.org/software/rcs/rcs.html

Take the "X is better than Y" claims with a very large grain of salt.

There is a comparison of some version control systems at
http://better-scm.berlios.de/comparison/comparison.html

Note that a mere XML schema ("here's some XML glop -- you figure out
how to get the snapshot you need") almost certainly isn't adequate.
.
newtrk resources:_____________________________________________________
web user interface: http://darkwing.uoregon.edu/~llynch/newtrk.html
mhonarc archive: http://darkwing.uoregon.edu/~llynch/newtrk/index.html